petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscDualSpaceLagrangeGetTensor

Get the tensor nature of the dual space

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceLagrangeGetTensor(PetscDualSpace sp, PetscBool *tensor)

Not collective

### Input Parameter

sp -The PetscDualSpace

### Output Parameter

tensor -Whether the dual space has tensor layout (vs. simplicial)

### See Also

PetscDualSpaceLagrangeSetTensor(), PetscDualSpaceCreate()

### Level

intermediate

### Location

src/dm/dt/dualspace/impls/lagrange/dspacelagrange.c

### Implementations

PetscDualSpaceLagrangeGetTensor_Lagrange in src/dm/dt/dualspace/impls/lagrange/dspacelagrange.c
Index of all DUALSPACE routines
Table of Contents for all manual pages
Index of all manual pages